#pragma once

#include "ChannelHandler.h"
#include <iostream>

class LoggingHandler : public ChannelHandler {
public:
    void handle(const std::shared_ptr<WebsocketSession>& session, const Message& msg) override {
        std::cout << "[LoggingHandler] Received message: cmd=" << msg.cmd
                  << ", code=" << msg.code
                  << ", message=" << msg.message << std::endl;
    }

    void channelInactive(const std::shared_ptr<WebsocketSession>& session) override {
        std::cout << "[LoggingHandler] Connection closed." << std::endl;
    }
};
