#include <boost/asio.hpp>
#include <iostream>
#include "WebsocketServer.h"
#include <boost/asio/ip/tcp.hpp>

using tcp = boost::asio::ip::tcp;

int main() {
    try {
        // 监听地址和端口：127.0.0.1:9000
        tcp::endpoint endpoint(tcp::v4(), 9000);
        WebsocketServer server( endpoint);
        server.start();

        // 阻塞主线程
        std::cout << "Press Enter to stop the server..." << std::endl;
        std::cin.get();

        server.stop();
    } catch (const std::exception& ex) {
        std::cerr << "[Main] Exception: " << ex.what() << std::endl;
    }
    return 0;
}
